#include "sparrowrenderer.h"
#include "phongmaterial.h"
#include "shader.h"
#include "camera.h"
#include "scene.h"
#include "gridmesh.h"
#include "glassert.h"
#include <glew/glew.h>
#include <QString>

SparrowRenderer::SparrowRenderer(int width, int height)
{
    Shader* shader = new Shader(QString("../phong.vert"), QString("../phong.frag"));
    Material* mat = new PhongMaterial(shader);
    scene = new Scene();
    scene->setCamera(new Camera(width, height));
    Mesh* myGrid = new GridMesh(10, 10, false);
    myGrid->initGL();
    scene->addEntity(myGrid, mat);
}

SparrowRenderer::~SparrowRenderer()
{
    delete(scene->getCamera());
    delete(scene);
}

void SparrowRenderer::resize(int width, int height)
{
    scene->getCamera()->resize(width, height);
}

void SparrowRenderer::render()
{
    // draw geometry
    scene->drawEntities();
}
